package dto

import (
	"net/http"

	"github.com/gin-gonic/gin"
)

type Result struct {
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data any    `json:"data,omitempty"`
}

func Success(ctx *gin.Context, data any) {
	ctx.JSON(http.StatusOK, Result{
		Code: 200,
		Data: data,
		Msg:  "success",
	})
}

func Fail(c *gin.Context, code int, err string) {
	c.AbortWithStatusJSON(code, gin.H{
		"code":  code,
		"error": err,
	})
}
